# PSF-LoginServer - master - net.psforever.objects.geometry.d3.Cuboid
PSF - LoginServer - master - net.psforever.objects.geometry.d3.Cuboid
Keywords: PSF LoginServer master net.psforever.objects.geometry.d3.Cuboid

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package geometry
  Definition Classes
    objects
-  package d3
  Definition Classes
    geometry
- Cuboid
- Cylinder
- Geometry3D
- Line
- Point
- Ray
- Segment
- Sphere
- VolumetricGeometry

c

net.psforever.objects.geometry.d3

# Cuboid

###

#### final case class Cuboid(p: Point, relativeForward: Vector3, relativeUp: Vector3, length: Float, width: Float, height: Float) extends VolumetricGeometry with Product with Serializable

Untested geometry.

p

  na

relativeForward

  na

relativeUp

  na

length

  na

width

  na

height

  na

Source
  Cuboid.scala

Linear Supertypes
Serializable, Product, Equals, VolumetricGeometry, Geometry3D, PrimitiveGeometry, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Cuboid
2. Serializable
3. Product
4. Equals
5. VolumetricGeometry
6. Geometry3D
7. PrimitiveGeometry
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Cuboid(p: Point, relativeForward: Vector3, relativeUp: Vector3, length: Float, width: Float, height: Float)

   p

     na

   relativeForward

     na

   relativeUp

     na

   length

     na

   width

     na

   height

     na

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def center: Point

   The centroid of the geometry.

   The centroid of the geometry.

   returns

     a point

   Definition Classes
     Cuboid → Geometry3D → PrimitiveGeometry
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  val height: Float
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  val length: Float
13.  def moveCenter(point: geometry.Point): VolumetricGeometry

    Move the centroid of the shape to the given point

    Move the centroid of the shape to the given point

    point

      the new center point

    returns

      geometry centered on the new point; ideally, should be the same type of geometry as the original object

    Definition Classes
      Cuboid → VolumetricGeometry → Geometry3D → PrimitiveGeometry
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  val p: Point
18.  def pointOnOutside(v: Vector3): Point

    Find a point on the exterior of the geometry if a line was drawn outwards from the centroid.

    Find a point on the exterior of the geometry if a line was drawn outwards from the centroid. What counts as "the exterior" is limited to the complexity of the geometry.

    v

      the vector in the direction of the point on the exterior

    returns

      a point

    Definition Classes
      Cuboid → VolumetricGeometry
19.  def productElementNames: Iterator[String]
    Definition Classes
      Product
20.  val relativeForward: Vector3
21.  val relativeUp: Vector3
22.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
26.  val width: Float

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from VolumetricGeometry

### Inherited from Geometry3D

### Inherited from PrimitiveGeometry

### Inherited from AnyRef

### Inherited from Any

### Ungrouped